YPCAT(1)

NAME
ypcat - print values in a NIS data base

SYNOPSIS
ypcat [ -kt ] [ -d domainname ] mname

ypcat -x

AVAILABILITY

This command is available with the Networking software installation option. Refer to for information on how to install optional software.

DESCRIPTION

ypcat prints out values in a Network Information Service (NIS) map specified by mname, which may be either a map name or a map nickname . Since ypcat uses the NIS service, no NIS server is specified.

To look at the network-wide password database, passwd.byname, (with the nickname passwd). type in:

    ypcat passwd

Refer to ypfiles(5) and ypserv(8) for an overview of the NIS service.

OPTIONS

-k  Display the keys for those maps in which the values are null or the key is not part of the value.

-t  Inhibit translation of mname to map name. For example, `ypcat -t passwd' will fail because there is no map named passwd, whereas ` ypcat passwd ' will be translated to `ypcat passwd.byname'.

-d domainname
    Specify a domain other than the default domain. The default domain is returned by domainname.

-x  Display the map nickname table. This lists the nicknames (mnames) the command knows of, and indicates the mapname associated with each nickname.

SEE ALSO
domainname(1), ypmatch(1), ypfiles(5), ypserv(8)

NOTES

The Network Information Service (NIS) was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed. The name Yellow Pages is a registered trademark in the United Kingdom of British Telecommunications plc, and may not be used without permission.